<template>
  <div class='card'>
    <div class='content'>
      <IconTool :tool='icon' :makePurple='true' :size='55' />
      <div class='text-content'>
        <div class='title'>
          <i18n-t :keypath="title" />
        </div>
        <div class='description'>
          <i18n-t :keypath='description' />
        </div>
      </div>
      <div class='link' @click="$emit('on-click')">
        <i18n-t :keypath='linkText' />
      </div>
    </div>
  </div>
</template>

<script>
import IconTool from '@/components/input/tool-picker/IconTool'
export default {
  components: {
    IconTool,
  },
  props: ['icon', 'title', 'description', 'linkText']
}
</script>

<style scoped lang="scss">
.card {
  color: var(--color-dark-text);
  background-color: var(--color-white);
  border-radius: 8px;
  border: 1px solid var(--color-primary);
  border-width: 0;
  border-left-width: var(--spacing-1);
  width: 100%;
  flex: 0 0 4rem;

  .content {
    align-items: center;
    margin: var(--spacing-4);
  }

  .text-content {
    padding-top: var(--spacing-3);
  }

  .title {
    font-size: 20px;
    font-weight: bold;
    color: var(--color-dark-text);
  }

  .description {
    margin-top: 8px;
    font-size: 16px;
    line-height: 24px;
    color: var(--color-dark-text);

    // TODO why does this not work?!!!
    a, a:visited, a:hover, a:focus {
      color: var(--color-primary);
      text-decoration: none;
    }
  }

  .link {
    color: var(--color-primary);
    letter-spacing: 1px;
    text-transform: uppercase;
    margin-top: 20px;
    font-weight: 800;
    font-size: 12px;
  }
}


@media (max-width: 520px) {
  .card .title {
    font-size: 18px;
  }
  .card .description {
    font-size: 14px;
  }
}
</style>
